/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import javax.swing.JDialog;

import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class LiquidatFinderView extends JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -3031174563594420277L;

	/** Creates new form AgentsFinderView */
    public LiquidatFinderView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        listeCodesGestion = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        listeMinisteres = new javax.swing.JComboBox();
        jSeparator3 = new javax.swing.JSeparator();
        jLabel13 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        tfSousCr = new javax.swing.JTextField();
        tfCr = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfAction = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        buttonDelAction = new javax.swing.JButton();
        buttonGetAction = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel11 = new javax.swing.JLabel();
        buttonFind = new javax.swing.JButton();
        buttonClose = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        checkErreurs = new javax.swing.JCheckBox();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        tfFiltrePrenom = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        buttonGetCanal = new javax.swing.JButton();
        buttonDelCanal = new javax.swing.JButton();
        jLabel12 = new javax.swing.JLabel();
        tfFiltreCodeAnalytique = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Bordereaux - Recherche Avancée");

        listeCodesGestion.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ministère :");

        listeMinisteres.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel13.setText("Dossier Agent");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Code Gestion :");

        tfSousCr.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfSousCrActionPerformed(evt);
            }
        });

        tfCr.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCrActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("SOUS CR :");

        tfAction.setEditable(false);
        tfAction.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfActionActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Action :");

        buttonGetAction.setToolTipText("Sélection Action");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("CR :");

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel11.setText("Informations Budgétaires");

        buttonFind.setText("Rechercher");

        buttonClose.setText("Fermer");
        buttonClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCloseActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Données erronées :");

        tfFiltreNom.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreNomActionPerformed(evt);
            }
        });

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Prénom :");

        tfFiltrePrenom.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltrePrenomActionPerformed(evt);
            }
        });

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Nom :");

        buttonGetCanal.setToolTipText("Sélection Action");

        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Code Analytique");

        tfFiltreCodeAnalytique.setEditable(false);
        tfFiltreCodeAnalytique.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreCodeAnalytiqueActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(57, 57, 57)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(listeCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(22, 22, 22)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))))
                    .add(jSeparator3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 533, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 523, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(108, 108, 108)
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel6)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 165, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(87, 87, 87)
                                        .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 51, Short.MAX_VALUE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 227, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonGetAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE)
                                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(tfFiltreCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 227, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(buttonGetCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(buttonDelCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(checkErreurs))))
                                .add(96, 96, 96)))))
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(245, Short.MAX_VALUE)
                .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 126, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(buttonFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 133, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(19, 19, 19))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(31, 31, 31)
                .add(jLabel13)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(listeCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jLabel11)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfFiltreCodeAnalytique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonGetCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonDelCanal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel9)
                    .add(layout.createSequentialGroup()
                        .add(checkErreurs)
                        .add(85, 85, 85)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(buttonClose)
                            .add(buttonFind))))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-549)/2, (screenSize.height-492)/2, 549, 492);
    }// </editor-fold>//GEN-END:initComponents

    private void buttonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCloseActionPerformed
        // TODO add your handling code here:

        dispose();
}//GEN-LAST:event_buttonCloseActionPerformed

private void tfSousCrActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfSousCrActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfSousCrActionPerformed

private void tfCrActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCrActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfCrActionPerformed

private void tfActionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfActionActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfActionActionPerformed

private void tfFiltreNomActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreNomActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfFiltreNomActionPerformed

private void tfFiltrePrenomActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltrePrenomActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfFiltrePrenomActionPerformed

private void tfFiltreCodeAnalytiqueActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreCodeAnalytiqueActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_tfFiltreCodeAnalytiqueActionPerformed




    /**
    * @param args the command line arguments
    */
    /**
     * @param args the command line arguments
     */
     public static void main(String args[]) {
         java.awt.EventQueue.invokeLater(new Runnable() {
             public void run() {
                 LiquidatFinderView dialog = new LiquidatFinderView(new javax.swing.JFrame(), true);
                 dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                     public void windowClosing(java.awt.event.WindowEvent e) {
                         System.exit(0);
                     }
                 });
                 dialog.setVisible(true);
             }
         });
     }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonClose;
    protected javax.swing.JButton buttonDelAction;
    protected javax.swing.JButton buttonDelCanal;
    protected javax.swing.JButton buttonFind;
    protected javax.swing.JButton buttonGetAction;
    protected javax.swing.JButton buttonGetCanal;
    private javax.swing.JCheckBox checkErreurs;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator3;
    protected javax.swing.JComboBox listeCodesGestion;
    protected javax.swing.JComboBox listeMinisteres;
    protected javax.swing.JTextField tfAction;
    protected javax.swing.JTextField tfCr;
    protected javax.swing.JTextField tfFiltreCodeAnalytique;
    protected javax.swing.JTextField tfFiltreNom;
    protected javax.swing.JTextField tfFiltrePrenom;
    protected javax.swing.JTextField tfSousCr;
    // End of variables declaration//GEN-END:variables

    private void initGui() {
        
        buttonGetAction.setIcon(KakiIcones.ICON_SELECT_16);
        buttonDelAction.setIcon(KakiIcones.ICON_DELETE);

        buttonGetCanal.setIcon(KakiIcones.ICON_SELECT_16);
        buttonDelCanal.setIcon(KakiIcones.ICON_DELETE);

        buttonClose.setIcon(KakiIcones.ICON_CLOSE);
        buttonFind.setIcon(KakiIcones.ICON_LOUPE_16);

    }
    
	public javax.swing.JButton getButtonClose() {
		return buttonClose;
	}

	public void setButtonClose(javax.swing.JButton buttonClose) {
		this.buttonClose = buttonClose;
	}

	public javax.swing.JButton getButtonDelAction() {
		return buttonDelAction;
	}

	public void setButtonDelAction(javax.swing.JButton buttonDelAction) {
		this.buttonDelAction = buttonDelAction;
	}

	public javax.swing.JButton getButtonFind() {
		return buttonFind;
	}

	public void setButtonFind(javax.swing.JButton buttonFind) {
		this.buttonFind = buttonFind;
	}

	public javax.swing.JTextField getTfFiltreCodeAnalytique() {
		return tfFiltreCodeAnalytique;
	}

	public javax.swing.JButton getButtonDelCanal() {
		return buttonDelCanal;
	}

	public void setButtonDelCanal(javax.swing.JButton buttonDelCanal) {
		this.buttonDelCanal = buttonDelCanal;
	}

	public javax.swing.JButton getButtonGetCanal() {
		return buttonGetCanal;
	}

	public void setButtonGetCanal(javax.swing.JButton buttonGetCanal) {
		this.buttonGetCanal = buttonGetCanal;
	}

	public void setTfFiltreCodeAnalytique(
			javax.swing.JTextField tfFiltreCodeAnalytique) {
		this.tfFiltreCodeAnalytique = tfFiltreCodeAnalytique;
	}

	public javax.swing.JButton getButtonGetAction() {
		return buttonGetAction;
	}

	public void setButtonGetAction(javax.swing.JButton buttonGetAction) {
		this.buttonGetAction = buttonGetAction;
	}

	public javax.swing.JComboBox getListeCodesGestion() {
		return listeCodesGestion;
	}

	public void setListeCodesGestion(javax.swing.JComboBox listeCodesGestion) {
		this.listeCodesGestion = listeCodesGestion;
	}

	public javax.swing.JComboBox getListeMinisteres() {
		return listeMinisteres;
	}

	public void setListeMinisteres(javax.swing.JComboBox listeMinisteres) {
		this.listeMinisteres = listeMinisteres;
	}

	public javax.swing.JTextField getTfAction() {
		return tfAction;
	}

	public void setTfAction(javax.swing.JTextField tfAction) {
		this.tfAction = tfAction;
	}
	
	public javax.swing.JCheckBox getCheckErreurs() {
		return checkErreurs;
	}

	public void setCheckErreurs(javax.swing.JCheckBox checkErreurs) {
		this.checkErreurs = checkErreurs;
	}

	public javax.swing.JTextField getTfCr() {
		return tfCr;
	}

	public void setTfCr(javax.swing.JTextField tfCr) {
		this.tfCr = tfCr;
	}

	public javax.swing.JTextField getTfSousCr() {
		return tfSousCr;
	}

	public void setTfSousCr(javax.swing.JTextField tfSousCr) {
		this.tfSousCr = tfSousCr;
	}

	

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JTextField getTfFiltrePrenom() {
		return tfFiltrePrenom;
	}

	public void setTfFiltrePrenom(javax.swing.JTextField tfFiltrePrenom) {
		this.tfFiltrePrenom = tfFiltrePrenom;
	}

	protected void setListeCodesGestion(NSArray codesGestion) {

        listeCodesGestion.removeAllItems();
        listeCodesGestion.addItem("*");
        for (int i=0;i<codesGestion.count();i++)
        	listeCodesGestion.addItem(codesGestion.objectAtIndex(i));
    }
    
    public void setListeMinisteres(NSArray liste) {
        
        listeMinisteres.removeAllItems();
        listeMinisteres.addItem("*");
        for (int i=0;i<liste.count();i++)
        	listeMinisteres.addItem(liste.objectAtIndex(i));    	
    	
    }
    
}
